=== debian/changelog ===
fltk-utf8 (1.1.4-3) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Fri, 21 Feb 2004 15:22:45 -0800

fltk-utf8 (1.1.4-2) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 16 Sep 2003 15:22:45 -0800

fltk-utf8 (1.1.4-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Thu, 11 Sep 2003 15:22:45 -0800

fltk-utf8 (1.1.3-3) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 1 Jul 2003 15:22:45 -0800

fltk-utf8 (1.1.3-2) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sun, 23 Feb 2003 15:22:45 -0800

fltk-utf8 (1.1.3-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 18 Feb 2003 15:22:45 -0800

fltk-utf8 (1.1.2-5) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 4 Feb 2003 15:22:45 -0800

fltk-utf8 (1.1.2-4) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sun, 2 Feb 2003 15:22:45 -0800

fltk-utf8 (1.1.2-3) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Thu, 2 Jan 2003 15:22:45 -0800

fltk-utf8 (1.1.2-2) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 24 Dec 2002 15:22:45 -0800

fltk-utf8 (1.1.2-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Mon, 11 Dec 2002 15:22:45 -0800

fltk-utf8 (1.1.1-5) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Mon, 25 Nov 2002 15:22:45 -0800

fltk-utf8 (1.1.1-4) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sun, 17 Nov 2002 15:22:45 -0800

fltk-utf8 (1.1.1-3) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 5 Nov 2002 15:22:45 -0800

fltk-utf8 (1.1.1-2) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 5 Nov 2002 15:22:45 -0800

fltk-utf8 (1.1.0b11-5) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sun, 20 Jan 2002 15:22:45 -0800

fltk-utf8 (1.0.11-5) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sun, 20 Jan 2002 15:22:45 -0800

fltk-utf8 (1.0.11-4) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Thu, 3 Jan 2002 15:22:45 -0800

fltk-utf8 (1.0.11-3) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sat, 29 Dec 2001 15:22:45 -0800

fltk-utf8 (1.0.11-2) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Thu, 22 Nov 2001 15:22:45 -0800

fltk-utf8 (1.0.11-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sat, 20 Oct 2001 15:22:45 -0800

Local variables:
Local variables:
mode: debian-changelog
End:
